# Generated by Django 4.0.4 on 2022-05-23 12:11

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Geo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('geo_name', models.CharField(max_length=32)),
                ('old_country_code', models.CharField(max_length=2)),
                ('geo_type', models.CharField(choices=[('CO', 'Country'), ('ST', 'Site')], max_length=2)),
                ('parent_geo', models.ForeignKey(blank=True, limit_choices_to={'is_a_country': True}, null=True, on_delete=django.db.models.deletion.CASCADE, to='polls.geo')),
            ],
        ),
    ]
